Subject: Re: [2.6 patch] defconfig's shouldn't set CONFIG_BROKEN=y

From: Simon Richter <[email-masked]>
Date: Tue, 13 Dec 2005 14:34:04 +0100

Hi,

Adrian Bunk wrote:

>>It's a problem introduced by your patch because the resulting defconfig
>>file becomes _wrong_ by your change, and other changes in the defconfig
>>are thereby hidden.
>>...

> No, CONFIG_BROKEN=y in a defconfig file is a bug.

Indeed, but that's not the point. A defconfig file should be the result 
of running one of the various configuration targets; yours are 
hand-patched. If you run the defconfig target, it will copy the config 
file and run oldconfig, thus resulting in a different configuration file 
(because options may now be gone and hence disabled) than what was in 
the defconfig, and thus people may come to the wrong conclusion that if 
a driver is enabled in a defconfig file, it will be built.

    Simon